org.apache.jmeter.visualizers

## Class SearchTextExtension.JEditorPaneSearchProvider

- java.lang.Object
- - org.apache.jmeter.visualizers.SearchTextExtension.JEditorPaneSearchProvider

- All Implemented Interfaces:
    SearchTextExtension.ISearchTextExtensionProvider
  Enclosing class:
    SearchTextExtension

      public static class SearchTextExtension.JEditorPaneSearchProvider
      extends Object
      implements SearchTextExtension.ISearchTextExtensionProvider

  JEditorPane search provider Should probably be moved in its on file

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JEditorPaneSearchProvider(JEditorPane results)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `executeAndShowTextFind(Pattern pattern)` Launch find text engine on target component
    `void` | `resetTextToFind()` reset the provider

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JEditorPaneSearchProvider

          public JEditorPaneSearchProvider(JEditorPane results)

  - ### Method Detail

    - #### resetTextToFind

          public void resetTextToFind()

      Description copied from interface: `SearchTextExtension.ISearchTextExtensionProvider`
      reset the provider
      Specified by:
        `resetTextToFind` in interface `SearchTextExtension.ISearchTextExtensionProvider`

    - #### executeAndShowTextFind

          public boolean executeAndShowTextFind(Pattern pattern)

      Description copied from interface: `SearchTextExtension.ISearchTextExtensionProvider`
      Launch find text engine on target component
      Specified by:
        `executeAndShowTextFind` in interface `SearchTextExtension.ISearchTextExtensionProvider`
      Parameters:
        `pattern` - text pattern to search
      Returns:
        true if there was a match, false otherwise

Copyright © 1998-2020 Apache Software Foundation. All Rights Reserved.